//=================================================================
// CommandTouchTrigger 
// See CommandTouchTriggerV01.txt
//=================================================================
class CommandTouchTrigger extends Trigger placeable;
    //#1
    // data members for messages and random numbers
    var private string FirstMessage;
    var private string SecondMessage;
    var private int RandomNumber;

function PostBeginPlay()
{
    //#2 
    // Call PostBeginPlay() in the parent class (Trigger)
    Super.PostBeginPlay();
    Message = FirstMessage;
}// end PostBeginPlay()

// #3
// As defined in the parent class,
// Touch() is called when an actor touches the trigger.
function Touch( actor Other )
{
    //#4 
    //Can the touching Actor object affect this Trigger object
    if (IsRelevant( Other ) )
    {
          // #5
          // Cast the Other reference and determine
          // if the pawn is crouching
          if (Pawn(Other).bIsCrouched){
              // #6 Generate a random number and display a message 
              // relevant to crouching pawns
              RandomNumber = Rand(10);
              SecondMessage = "Get up!" @ RandomNumber;
              Message= SecondMessage;
          }//end if
          else{ 
              // #8 The actor's pawn is not crouching
              RandomNumber = Rand(10);                
              FirstMessage = "Get down!" @ RandomNumber;
              Message = FirstMessage ;
          }//end else
          // #7 Call the parent class version of Touch()
          // which displays the message to the screen
          Super.Touch(Other);
    }//end outer if
}// end Touch()

defaultproperties
{
}
